<?php
   
    //http://stackoverflow.com/questions/18382740/cors-not-working-php
    if (isset($_SERVER['HTTP_ORIGIN'])) {
        header("Access-Control-Allow-Origin: {$_SERVER['HTTP_ORIGIN']}");
        header('Access-Control-Allow-Credentials: true');
        header('Access-Control-Max-Age: 86400');    // cache for 1 day
    }

    // Access-Control headers are received during OPTIONS requests
    if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS') {

        if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD']))
            header("Access-Control-Allow-Methods: GET, POST, OPTIONS");         

        if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']))
            header("Access-Control-Allow-Headers:        {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");

        exit(0);
    }

    $mensaje = "El contrato fue entregado satisfactoriamente";
    
    //http://stackoverflow.com/questions/15485354/angular-http-post-to-php-and-undefined
    $postdata = file_get_contents("php://input");
    if (isset($postdata)) {
        $request = json_decode($postdata, true);

    }
    else {
        exit(0);
    }
    
    require('config.php');

    // Sacar
    $lat = $request['latitud'];
    $long = $request['longitud'];
    $sign = $request['firma'];
    $fecha= date("Y-m-d H:i:s");

    
    // Conectar la BD
    $link = mysqli_connect(DB_HOST, DB_USER, DB_PASS, DB_NAME) or die('Error de conexion con base de datos: ' . mysqli_connect_errno());
    mysqli_set_charset($link,'utf8');

    $nuevo_estado = mysqli_real_escape_string($link, $request['estado_id']);
    //$sector = mysqli_real_escape_string($link, $request['sector']);
    
    try {
        
        // Al entregar un contrato graba posicion y firma del cliente
        $sql  = "UPDATE contratos_cabecera SET latitud = ${lat}, longitud = ${long}, firma = ${sign} ";
        $sql .= "WHERE id = {$request['id']}" ;


        // Ejecuto la consulta
        $result = mysqli_query($link, $sql);

        // graba la fecha real de entrega en la tabla de entrega_detalle
        $sql  = "UPDATE envios_detalle SET fecha_envio_real = '".$fecha."' WHERE contrato_id = {$request['id']} ";

        // Ejecuto la consulta
        $result = mysqli_query($link, $sql);     
        // Cierro la conexion con la BD
        mysqli_close($link);
         
        // Envia la respuesta
        echo json_encode($mensaje);
         
    } catch(exception $error) {
        //mysqli_query($link, "ROLLBACK");
        die(mysqli_error($link));
        
    }

?>